<!--  Edit account of user -->
<div th:fragment="edit-my-account-fragement">
	<div class="card-group">
		<div class="card border-0">
			<div class="card-body"
				style="background-color: #ededed; margin-top: 20px;">
				<form th:action="@{/myAccount/edit}" method="post">
					<input type="hidden" name="id" th:value="${user.id}">
					<div class="alert alert-info" th:if="${updateUserInfo}">Les données
						utilisateurs sont bien mises à jour.</div>
					<div class="form-group">
						<label for="lastname">* Nom de votre société</label> <input
							type="text" class="form-control" id="company" name="company"
							th:value="${user.company}" aria-describedby="companyHelp"
							placeholder="Saisir le nom de votre société"> <small
							id="companyHelp" class="form-text text-muted">Veuillez
							saisir le nom de votre société (Si vous n'avez pas de société,
							mettez "Particulier").</small>
					</div>
	
					<div class="form-group">
						<label for="firstname">* Nom</label> <input type="text"
							class="form-control" id="firstname" name="firstname"
							th:value="${user.firstname}" aria-describedby="firstnameHelp"
							placeholder="Saisir votre nom de famille"> <small
							id="firstnameHelp" class="form-text text-muted">Veuillez
							saisir un nom de famille.</small>
					</div>
	
					<div class="form-group">
						<label for="lastname">* Prénom</label> <input type="text"
							class="form-control" id="lastname" name="lastname"
							th:value="${user.lastname}" aria-describedby="lastnameHelp"
							placeholder="Saisir votre prénom"> <small
							id="lastnameHelp" class="form-text text-muted">Veuillez
							saisir votre prénom.</small>
					</div>
	
					<div class="form-group">
						<label for="email">* Adresse mail</label>&nbsp<span style="color:red;" th:if="${emailExists}"> Cette adresse mail est deja associé à un compte, veuillez choisir une autre adresse mail.</span>
						<input type="email"
							class="form-control" id="email" name="email"
							th:value="${user.email}" aria-describedby="emailHelp"
							placeholder="Saisir votre adresse mail"> <small
							id="emailHelp" class="form-text text-muted">Veuillez
							saisir votre adresse mail.</small>
					</div>
	
					<div class="form-group">
						<label for="phone">* Téléphone</label> <input type="tel"
							pattern="[0-9]{10}" class="form-control" id="tel" name="tel"
							th:value="${user.tel}" aria-describedby="phoneHelp"
							placeholder="Saisir votre numéro de téléphone"> <small
							id="phoneHelp" class="form-text text-muted">Format du
							numéro de téléphone: 0666778899</small>
					</div>
	
					<div class="form-group">
						<label for="address">* Adresse de livraison</label> <input
							type="text" class="form-control" id="address" name="address"
							th:value="${user.address}" aria-describedby="addressHelp"
							placeholder="Saisir votre adresse"> <small
							id="addressHelp" class="form-text text-muted">Adresse de
							livraison.</small>
					</div>
	
					<div class="form-group">
						<label for="username">* Nom d'utilisateur</label>&nbsp<span style="color:red;" th:if="${usernameExists}"> Ce nom d'utulisateur existe deja, veuillez choisir un autre nom d'utilisateur.</span>
						<input
							type="text" class="form-control" id="username" name="username"
							th:value="${user.username}" aria-describedby="usernameHelp"
							placeholder="Choisir un nom d'utilisateur"> <small
							id="usernameHelp" class="form-text text-muted">Votre nom
							d'utilisateur.</small>
					</div>
	
					<button type="submit" class="btn btn-primary">Valider les
						modifications</button>
				</form>
			</div>
		</div>
	</div>
</div>

<!--  Change password of user -->
<div th:fragment="change-my-password-fragement">
	<div class="card-group">
		<div class="card border-0">
			<div class="card-body"
				style="background-color: #ededed; margin-top: 20px;">
				<div class="alert alert-info" th:if="${UserPasswordUpdated}">Le mot de passe a été bien mises à jour.</div>
				<form th:action="@{/myAccount/changePassword}" method="post">
					<input type="hidden" id="id" name="id" th:value="${id}">
					<div class="form-group">
						<label for="currentPassword">* Mot de passe actuel</label>&nbsp<span style="color:red;" th:if="${currentPasswordNotCorrect}">Le mot de passe saisi ne correspond pas a votre mot de passe actuel.</span>
						<input
							type="password" class="form-control" id="currentPassword"
							name="currentPassword" aria-describedby="currentPasswordHelp"
							placeholder="Votre mot de passe"> <small
							id="currentPasswordHelp" class="form-text text-muted">Veuillez
							saisir votre mot de passe actuel.</small>
					</div>
					<div class="form-group">
						<label for="password">* Nouveau mot de passe</label>
						<input
							type="password" class="form-control" id="password" name="password"
							aria-describedby="passwordHelp"
							placeholder="Choisir un mot de passe"> <small
							id="usernameHelp" class="form-text text-muted">Veuillez
							choisir un nouveau mot de passe.</small>
					</div>
					<div class="form-group">
						<label for="confirmPassword">* confirmer le nouveau mot de passe</label>&nbsp<span style="color:red;" th:if="${passwordsNotEqual}">Les mots de passe ne sont pas identiques.</span> 
							<input type="password" class="form-control"
							id="confirmPassword" name="confirmPassword"
							aria-describedby="confirmPasswordHelp"
							placeholder="Confirmer le mot de passe"> <small
							id="confirmPasswordHelp" class="form-text text-muted">Veuillez
							confirmer le nouveau mot de passe.</small>
					</div>
	
					<button type="submit" class="btn btn-primary">Valider les
						modifications</button>
				</form>
			</div>
		</div>
	</div>
</div>